Home > Mozilla, SUSE > Firefox 3.0b4

Firefox 3.0b4

March 11th, 2008

Mozilla.org just released Firefox 3.0b4 developer preview and so you obviously can find the latest packages in mozilla:beta as well.

If you don’t bother the risk running a beta version, please give them a try. We will also hopefully land the set of packages in Factory this week so that they should appear in openSUSE 11.0alpha3 for broader testing. As always feel free to report issues you find either in Novell’s bugzilla or Mozilla’s if you know it’s a generic issue (like rendering issues for example).

Something I need to post probably is that the MozillaFirefox packages cannot be used in their 32bit flavour if you run a 64bit system. This is because MozillaFirefox depends on mozilla-xulrunner190 which depends on mozilla-nspr and mozilla-nss and none of them is available as baselibs package due to technical buildservice restrictions.

If you want to test Firefox 3 in 32bit on x86-64 systems you should be able to use the firefox package from the same repository. You need to remove “MozillaFirefox” and install “firefox” which should work for you since it contains everything built in.

Happy browsing!

Share
Categories: Mozilla, SUSE Tags:
  1. March 12th, 2008 at 16:20 | #1

    “test Firefox 3 in 32bit on x86-64 systems you should be able to use the firefox package from the same repository”
    These do not exist for SuSE 10.1, should they ?

  2. March 12th, 2008 at 17:14 | #2

    No, sorry. Firefox 3 is not supported with Gtk+ older than 2.10 which is only available since openSUSE 10.2.

Comments are closed.